### Constructor

# GcrUi CertificateRenderer new_for_attributes

#### Declaration [src]

    GcrCertificateRenderer*
    gcr_certificate_renderer_new_for_attributes (
      const gchar* label,
      _GckAttributes* attrs
    )

#### Description [src]

Create a new certificate renderer to display the label and attributes. One of the attributes should be a CKA_VALUE type attribute containing a DER encoded certificate.

#### Parameters

`label` | `const gchar*`
| The label to display.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`attrs` | `_GckAttributes*`
| The attributes to display.
| The argument can be `NULL`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `GcrCertificateRenderer`
| A newly allocated `GcrCertificateRenderer`, which should be released with `g_object_unref()`
| The caller of the function takes ownership of the data, and is responsible for freeing it.